Во FreeBSD устранены уязвимости Meltdown и Spectre V2

Для FreeBSD выпущено официальное обновление с исправлениями для блокирования атак Spectre V2 и Meltdown. Исправление доступно в ветках FreeBSD stable/11, 11.1-STABLE, releng/11.1 и 11.1-RELEASE-p8. Защита пока реализована только для архитектуры x86_64. Обновление для FreeBSD 10.x и других архитектур, включая
i386, планируется сформировать позднее.

Защита от Meltdown (CVE-2017-5754) базируется на применяемой во многих ОС технике PTI (Page Table Isolation), основанной на разделении таблиц страниц памяти ядра и пространства пользователя при переключении контекста во время системного вызова. Патч также включает оптимизации при помощи инструкции PCID, позволяющие снизить негативное влияние на производительность при включении PTI.

Защита от второго варианта атаки Spectre (CVE-2017-5715) основана на использования режима IBRS (Indirect Branch Restricted Speculation), представленного компанией Intel в недавнем обновлении микрокода. IBRS позволяет во время работы в зависимости от ситуации разрешать и запрещать спекулятивное выполнение косвенных переходов, например, запрещать во время обработки прерываний, системных вызовов и переключений контекста. Для применения защиты от Spectre обязательно требуется наличие обновлённого микрокода для процессоров Intel. Применение IBRS может быть отключено через sysctl hw.ibrs_disable, а PTI отключается через sysctl vm.pmap.pti в /boot/loader.conf.

Article source: http://www.opennet.ru/opennews/art.shtml?num=48259

Добавить комментарий

Ваш e-mail не будет опубликован. Обязательные поля помечены *

Этот сайт использует Akismet для борьбы со спамом. Узнайте как обрабатываются ваши данные комментариев.